
From: Nathan Lynch <ntl@pobox.com>

We already do kobject_hotplug for cpu offline; this adds a kobject_hotplug
call for the online case.  This is being requested by developers of an
application which wants to be notified about both kinds of events.

Signed-off-by: Nathan Lynch <ntl@pobox.com>
Cc: Rusty Russell <rusty@rustcorp.com.au>
Cc: Greg KH <greg@kroah.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/base/cpu.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN drivers/base/cpu.c~generate-hotplug-events-for-cpu-online drivers/base/cpu.c
--- 25/drivers/base/cpu.c~generate-hotplug-events-for-cpu-online	2005-05-09 20:09:31.000000000 -0700
+++ 25-akpm/drivers/base/cpu.c	2005-05-09 20:09:31.000000000 -0700
@@ -44,6 +44,8 @@ static ssize_t store_online(struct sys_d
 		ret = smp_prepare_cpu(cpu->sysdev.id);
 		if (!ret)
 			ret = cpu_up(cpu->sysdev.id);
+		if (!ret)
+			kobject_hotplug(&dev->kobj, KOBJ_ONLINE);
 		break;
 	default:
 		ret = -EINVAL;
_
